Bug 97070 - Default install of sshd allows root login
Default install of sshd allows root login
Status: CLOSED DUPLICATE of bug 89216
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 17:30 EDT by Darren Gamble
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 03:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darren Gamble 2003-06-09 17:30:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
The default sshd_config file included in the package allows the root user to log
in ("PermitRootLogin" is not "no").



Version-Release number of selected component (if applicable):
openssh-server-3.5p1-6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to ssh in as root to a machine with a default sshd install

    

Actual Results:  The login is accepted.

Expected Results:  The login should have been denied.

Additional info:

This appears to also have been the case with various versions of Red Hat in the
past.

It can be debated whether this actually a bug or not, but for a product that's
supposedly secure out of the box, a root ssh login really should be disabled by
default.
Comment 1 Peter van Egdom 2003-06-10 16:29:19 EDT
This is a duplicate bug report. See Red Hat Bugzilla Bug 89216.
Comment 2 Mark J. Cox (Product Security) 2003-06-11 04:06:07 EDT

*** This bug has been marked as a duplicate of 81296 ***
Comment 3 Darren Gamble 2003-06-11 11:03:20 EDT
Bug# 81296 has nothing to do with this problem.  Perhaps you meant to mark that
bug as a duplicate of bug# 89527?
Comment 4 Tomas Mraz 2005-10-24 03:39:40 EDT

*** This bug has been marked as a duplicate of 89216 ***

Note You need to log in before you can comment on or make changes to this bug.